package com.steerinfo.ems.tcm0313.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class TCm0313 implements IBasePO<String> {
    @ApiModelProperty(value="记录ID",required=false)
    private String recordid;

    @ApiModelProperty(value="制定年度",required=true)
    private String creatyear;

    @ApiModelProperty(value="监测项目名称",required=true)
    private String itemname;

    @ApiModelProperty(value="标准指标下限",required=true)
    private String lowerlimit;

    @ApiModelProperty(value="监测部门",required=true)
    private String powerdetecdepartment;

    @ApiModelProperty(value="监测点名称",required=true)
    private String powermonitorname;

    @ApiModelProperty(value="系统名称",required=true)
    private String systemname;

    @ApiModelProperty(value="单位",required=true)
    private String unit;

    @ApiModelProperty(value="标准指标上限",required=true)
    private String upperlimit;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.recordid;
    }

    @Override
    public void setId(String recordid) {
        this.recordid = recordid;
    }

    public String getRecordid() {
        return recordid;
    }

    public void setRecordid(String recordid) {
        this.recordid = recordid == null ? null :recordid.trim();
    }

    public String getCreatyear() {
        return creatyear;
    }

    public void setCreatyear(String creatyear) {
        this.creatyear = creatyear == null ? null : creatyear.trim();
    }

    public String getItemname() {
        return itemname;
    }

    public void setItemname(String itemname) {
        this.itemname = itemname == null ? null : itemname.trim();
    }

    public String getLowerlimit() {
        return lowerlimit;
    }

    public void setLowerlimit(String lowerlimit) {
        this.lowerlimit = lowerlimit == null ? null : lowerlimit.trim();
    }

    public String getPowerdetecdepartment() {
        return powerdetecdepartment;
    }

    public void setPowerdetecdepartment(String powerdetecdepartment) {
        this.powerdetecdepartment = powerdetecdepartment == null ? null : powerdetecdepartment.trim();
    }

    public String getPowermonitorname() {
        return powermonitorname;
    }

    public void setPowermonitorname(String powermonitorname) {
        this.powermonitorname = powermonitorname == null ? null : powermonitorname.trim();
    }

    public String getSystemname() {
        return systemname;
    }

    public void setSystemname(String systemname) {
        this.systemname = systemname == null ? null : systemname.trim();
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit == null ? null : unit.trim();
    }

    public String getUpperlimit() {
        return upperlimit;
    }

    public void setUpperlimit(String upperlimit) {
        this.upperlimit = upperlimit == null ? null : upperlimit.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", recordid=").append(recordid);
        sb.append(", creatyear=").append(creatyear);
        sb.append(", itemname=").append(itemname);
        sb.append(", lowerlimit=").append(lowerlimit);
        sb.append(", powerdetecdepartment=").append(powerdetecdepartment);
        sb.append(", powermonitorname=").append(powermonitorname);
        sb.append(", systemname=").append(systemname);
        sb.append(", unit=").append(unit);
        sb.append(", upperlimit=").append(upperlimit);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}